Bug 109489 - "Save kickstart to floppy" during installation
"Save kickstart to floppy" during installation
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
Mike McLean
: FutureFeature
Depends On:
  Show dependency treegraph
Reported: 2003-11-08 08:35 EST by Victor Stanescu
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2003-11-10 16:22:01 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Victor Stanescu 2003-11-08 08:35:07 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1)

Description of problem:
It would be a very useful feature to have a "Save kickstart to 
floppy" after choosing all the installation options, and before 
starting the actual install. Thus, if anything happens, you could 
just reinstall from the kickstart, eventually repairing the wrong 
options, instead of going through the wizard again.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.Boot Fedora CD
2.Go through the installer

Actual Results:  Anaconda started the installation.

Expected Results:  Before formatting and installing packages it would 
be useful to save a kickstart with the chosen options to a floppy, so 
if anything goes wrong you don't have to choose again the same 
options, and redo the installation faster.

Additional info:
Comment 1 Jeremy Katz 2003-11-10 16:22:01 EST
The problem is that kickstart doesn't provide a sufficiently rich
language to describe partitioning in a lot of cases (especially when
you start removing partitions and the like) and there's no way to
ensure a consistent partitioning because you can't know what you've
started with.

Note You need to log in before you can comment on or make changes to this bug.